Bug 1968947 - F35FailsToInstall: python3-dask+array, python3-dask+bag, python3-dask+dataframe, python3-dask+delayed, python3-dask
Summary: F35FailsToInstall: python3-dask+array, python3-dask+bag, python3-dask+datafra...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dask
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1943932 1959011 1968818 1968973 1968984 1969078 1969159 1969178
Blocks: F35FailsToInstall PYTHON3.10 1969172 1969173
TreeView+ depends on / blocked
 
Reported: 2021-06-07 23:36 UTC by Miro Hrončok
Modified: 2021-06-17 12:12 UTC (History)
5 users (show)

Fixed In Version: python-dask-2021.6.0-1.fc35~bootstrap
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-17 11:59:53 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github dask dask issues 7406 0 None open Support for sqlalchemy>= 1.4.0 2021-06-17 10:01:30 UTC

Description Miro Hrončok 2021-06-07 23:36:39 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-dask) Fails To Install in Fedora 35:

can't install python3-dask+array:
  - nothing provides python(abi) = 3.9 needed by python3-dask+array-2021.4.1-1.fc35~bootstrap.noarch
  - nothing provides python3.9dist(numpy) >= 1.16 needed by python3-dask+array-2021.4.1-1.fc35~bootstrap.noarch
  
can't install python3-dask+bag:
  - nothing provides python(abi) = 3.9 needed by python3-dask+bag-2021.4.1-1.fc35~bootstrap.noarch
  
can't install python3-dask+dataframe:
  - nothing provides python(abi) = 3.9 needed by python3-dask+dataframe-2021.4.1-1.fc35~bootstrap.noarch
  - nothing provides python3.9dist(numpy) >= 1.16 needed by python3-dask+dataframe-2021.4.1-1.fc35~bootstrap.noarch
  - nothing provides python3.9dist(pandas) >= 0.25 needed by python3-dask+dataframe-2021.4.1-1.fc35~bootstrap.noarch
  
can't install python3-dask+delayed:
  - nothing provides python(abi) = 3.9 needed by python3-dask+delayed-2021.4.1-1.fc35~bootstrap.noarch
  
can't install python3-dask:
  - nothing provides python3.9dist(pyyaml) needed by python3-dask-2021.4.1-1.fc35~bootstrap.noarch
  - nothing provides python(abi) = 3.9 needed by python3-dask-2021.4.1-1.fc35~bootstrap.noarch
  - nothing provides python3.9dist(cloudpickle) >= 1.1.1 needed by python3-dask-2021.4.1-1.fc35~bootstrap.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-06-07 23:45:39 UTC
This bugzilla is likely a fallout from the Python 3.10 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.10 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.10, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Zbigniew Jędrzejewski-Szmek 2021-06-13 09:56:22 UTC
After the update to 2021.6.0:
FAILED dask/dataframe/io/tests/test_sql.py::test_single_column[True] - AssertionError: DataFrame ar...
FAILED dask/dataframe/io/tests/test_sql.py::test_single_column[False] - ValueError: Metadata mismat...
FAILED dask/dataframe/io/tests/test_sql.py::test_needs_rational - AssertionError: DataFrame are dif...
FAILED dask/dataframe/io/tests/test_sql.py::test_simple - AssertionError: DataFrame are different
FAILED dask/dataframe/io/tests/test_sql.py::test_division_or_partition - AssertionError: DataFrame ...
FAILED dask/dataframe/io/tests/test_sql.py::test_meta - ValueError: Metadata mismatch found in `fro...
FAILED dask/dataframe/io/tests/test_sql.py::test_meta_no_head_rows - ValueError: Metadata mismatch ...
FAILED dask/dataframe/io/tests/test_sql.py::test_datetimes - AssertionError: DataFrame are different
FAILED dask/dataframe/io/tests/test_sql.py::test_select_from_select - sqlalchemy.exc.SADeprecationW...
FAILED dask/dataframe/io/tests/test_sql.py::test_extra_connection_engine_keywords - AssertionError:...
FAILED dask/dataframe/io/tests/test_sql.py::test_to_sql[False-1] - AssertionError: DataFrame are di...
FAILED dask/dataframe/io/tests/test_sql.py::test_to_sql[False-2] - AssertionError: DataFrame are di...
FAILED dask/dataframe/io/tests/test_sql.py::test_to_sql[True-1] - AssertionError: DataFrame are dif...
FAILED dask/dataframe/io/tests/test_sql.py::test_to_sql[True-2] - AssertionError: DataFrame are dif...
ERROR dask/tests/test_threaded.py::test_interrupt - TypeError: _FlakyPlugin._make_test_flaky() got ...
=== 14 failed, 7661 passed, 1251 skipped, 40 xfailed, 2878 warnings, 1 error in 755.71s (0:12:35) ====

Comment 3 Miro Hrončok 2021-06-15 20:49:23 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Petr Viktorin 2021-06-17 10:01:32 UTC
The same failures are reported upstream as incompatibility with SQLAlchemy 1.4.

Comment 5 Zbigniew Jędrzejewski-Szmek 2021-06-17 10:21:29 UTC
I'll push a rebuild with the sql tests disabled. Blocking on this is causing many other packages to fail,
and there are other uses for dask apart from sql… So I think we're better off with a semi-functional
package than with something that doesn't even install.

Comment 6 Zbigniew Jędrzejewski-Szmek 2021-06-17 11:59:53 UTC
I rebuilt the package by the failing tests skipped.


Note You need to log in before you can comment on or make changes to this bug.